const util = require('../../../utils/util.js');
const api = require('../../../utils/api.js');

const app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    userInfo: {
      photo: '',
      name: '辽宁',
      cardNum: '401311188603041535',
      phone: '15838122222',
      visitorName: '软件工程学院计算机系刘天仙',
      type: '亲属',
      buildNum: '一号宿舍楼',
      roomNum: '502宿舍',
      reason: '探亲'
    },
    list: []
  },

  getUserInfoArray: function(e) {
    const that = this;
    let userInfo = [];
    userInfo.push({
      key: '访客姓名：',
      value: that.data.userInfo.name
    }, {
      key: '身份证号：',
      value: that.data.userInfo.cardNum
    }, {
      key: '手机号：',
      value: that.data.userInfo.phone
    }, {
      key: '被访人：',
      value: that.data.userInfo.visitorName
    }, {
      key: '身份类型：',
      value: that.data.userInfo.type
    }, {
      key: '访问楼栋：',
      value: that.data.userInfo.buildNum
    }, {
      key: '访问宿舍：',
      value: that.data.userInfo.roomNum
    }, {
      key: '访问原因：',
      value: that.data.userInfo.reason
    })
    that.setData({
      list: userInfo
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    const that = this;
    that.getUserInfoArray();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  }
})