// pages/user/advisory/advisory.js
const app = getApp(),
  {
    globalData: {
      util: {
        regeneratorRuntime,
        api: {
          advisoryList,
        },
        navigate,
        navigate_auth_native,
        request: {
          get_auth,
          get
        }
      }
    }
  } = app;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    page: '1',
    rows: '10',
    completion: false,
    noData: false,
    list: [],
  },
  advisoryDetail: function (e) {
    let id = e.currentTarget.dataset.id;
    navigate('/pages/user/complaintDetail/complaintDetail?id=' + id);
  },
  lower: function (e) {
    let that = this;
    let page = that.data.page,
      total = that.data.total;
    page++;
    let num = Math.ceil(total / 10);
    if (page <= num) {
      that.setData({
        page,
        completion: true,
      })
      that.listData();
      return;
    } else {
      return;
    }

  },
  async listData() {
    let that = this, noData, completion, list = [];
    let {
      items,
      total,
      _err
    } = await get_auth(advisoryList, {
      page: that.data.page,
      rows: that.data.rows,
      type: 1
    });
    if (!_err) {
      items.forEach(function (item) {
        that.data.list.push(item);
      })
      list = that.data.list;
      if(list.length==total){
        that.setData({
          noNextData: true
        })
      }
      completion = false
      total == 0 ? noData = true : noData = false;
    } else {
      completion = true;
    }
    that.setData({
      list,
      total,
      completion,
      noData
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  async onLoad(options) {
    let that = this;
    this.listData();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  navigate_auth_native
})