const util = require('../../../utils/util.js');
const api = require('../../../utils/api.js');

const app = getApp()

Page({

  /**
   * 页面的初始数据
   */
  data: {
    isregiste: true,
    list: [{
      img: '/images/head.png',
      name: '刘天仙',
      address: '一号宿舍楼 502宿舍',
      time: '2019-10-28 15:18'
    }, {
      img: '/images/head.png',
      name: '陈方明',
      address: '一号宿舍楼 508宿舍',
      time: '2019-10-28 15:18'
    }]
  },

  checkTab: function(e) {
    const that = this;
    that.setData({
      isregiste: !that.data.isregiste
    })
    if (that.data.isregiste) {
      that.getVisitorCheckInfo(2);
    } else {
      that.getVisitorCheckInfo(3);
    }
  },

  todetail: function(e) {
    wx.navigateTo({
      url: '../visitorcheckdetail/visitorcheckdetail',
    })
  },

  getVisitorCheckInfo: function(status) {
    const that = this;
    util.httpRequest(api.getVisitorCheckInfo, {
      status: status,
      rows: 20,
      page: 1
    }, 'post').then(res => {
      
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    const that = this;
    that.getVisitorCheckInfo(2);
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  }
})